* {
    margin: 0;
    padding: 0;
    font-family: Arial, Helvetica, sans-serif;
    box-sizing: border-box;

}

/* global classes start here */

.text-decoration-none {
    text-decoration: none;
}

.d-flex {
    display: flex;
}

.flex-wrap{
    flex-wrap: wrap;
}

.justify-content-between {
    justify-content: space-between;
}

.color-white {
    color: white;
}

.color-black {
    color: black;
}

.project-profile-img-size {
    height: 230px;
}

.P-20{
    padding: 20px;
}

.width-354{
    width: 354px;
}

/* global classes end here */



/* cursor point  */


.cursor{
    position: fixed;
    width: 30px;
    height: 30px;
    border: 1px solid #c6c6c6;
    border-radius: 50%;
    left: 0;
    top: 0;
    pointer-events: none;
    transform: translate(-50%, -50%);
    transition: .1s;
    z-index: 99;
  }
  
  .cursor2{
    position: fixed;
    width: 6px;
    height: 6px;
    background-color: #c6c6c6;
    border-radius: 50%;
    left: 0;
    top: 0;
    pointer-events: none;
    transform: translate(-50%, -50%);
    transition: .078s;
    z-index: 99;
  }
  
  .hero-btn:hover ~ .cursor{
    transform: translate(-50%, -50%) scale(1.5);
    
    opacity: .5;
  }
  
  .hero-btn:hover ~ .cursor2{

    opacity: .5;
    width: 12px;
    height: 12px;

  }




/* cursor point  */




nav {
    background-color: #223250;
    box-shadow: 0px 0px 30px rgba(0, 0, 0, 0.5);
    position: sticky;
    top: 0;
    z-index: 100;
}

.logo {
    font-family: Arial, Helvetica, sans-serif;
    font-weight: bold;
    font-size: 26px;

}

.logo-desgin-part {
    color: #42bc70;
}


.navbar {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 20px 45px;

}

.navbar ul {
    list-style: none;
    display: flex;


}

.navbar ul li {
    position: relative;
}

.navbar ul li a {
    text-decoration: none;
    color: rgb(255, 255, 255);
    margin: 0px 6px;
    font-family: Arial, Helvetica, sans-serif;
    font-size: 18px;
    padding: 12px;
    transition: 0.3s ease;


}

.navbar ul li a:hover {
    color: #42bc70;

}

.navbar ul li a:hover::after {
    content: "";
    position: absolute;
    bottom: -10px;
    width: 30%;
    height: 2px;
    background-color: #42bc70;
    left: 20px;

}



#hamburger {
    display: none;
}

#close {
    display: none;
}

.hamburger-svg:hover {
    fill: #42bc70;
}

.close-svg:hover {
    fill: #42bc70;
}







/*showcase-section start here*/


.showcase-section {
    color: white;
    background-color: #223250;
    padding: 20px 0px;
}

.showcase-section  h1{
    padding: 10px 0px 0px 0px;
    margin-left: 60px;
    font-size: 32px;
}


.project-1 {
    display: flex;
    justify-content: space-around;
    padding: 20px 40px;
}


.project-name-part h4 {
    font-size: 28px;
    margin-bottom: 12px;
    color: #ff8080;
}

.project-name-part p {
    font-size: 18px;
    line-height: 26px;
    color: #676e7d;
    margin-bottom: 22px;
}

.project-detail-btn {
    color: white;
    background-color: #676e7d;
    padding: 6px 24px;
    outline: none;
    border: none;
    border-radius: 15px;
    margin: 0px 5px;
    font-weight: bold;
    letter-spacing: 1px;
    filter: drop-shadow(0 0 6px #16191e);
}





/* showcase-section end here*/






/* footer start here */

.footer {
    background-color: #223250;
    padding: 30px 40px;
    flex-wrap: wrap;
    display: flex;
    justify-content: space-evenly;
    color: white;
}

.footer-logo-part {
    height: 196px;
    /* width: 30%; */
    display: flex;
    flex-direction: column;
    justify-content: center;

    padding: 30px 30px;

}

.footer-marketplace-part {
    /* height: 320px; */
    padding: 30px 30px;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
}

.footer-marketplace-part ul {
    padding-top: 15px;
}

.footer-marketplace-part ul li {
    margin: 8px 0px;
}

.footer-marketplace-part ul li a {
    text-decoration: none;
    color: white;
    font-size: 18px;
}

.footer-marketplace-part ul li:hover {
    color: rgb(27, 161, 27);
}

.footer-marketplace-part ul li a:hover {
    color: rgb(27, 161, 27);
}


/* footer end here */



/* Copyright section start here */

.Copyright-section {
    background-color: #19243a;
    color: #676e7d;
    padding: 16px 20px;
    justify-content: space-around;
}

/* Copyright section end here */




/* media quary  */


@media screen and (max-width: 799px) {

    #hamburger {
        display: initial;
    }



    .navbar ul {
        list-style: none;
        display: flex;
        flex-direction: column;
        justify-content: flex-start;
        align-items: flex-start;
        position: fixed;
        top: 0;
        right: -400px;
        width: 300px;
        height: 100vh;
        background-color: #223250;
        box-shadow: 0 0px 30px rgba(0, 0, 0, 0.5);
        padding: 70px 0px 0px 10px;
        transition: 0.5s;




    }

    .navbar ul.active {

        right: 0;

    }



    .navbar ul li {

        margin-bottom: 22px;

    }

    #close {
        display: initial;
        position: absolute;
        top: 20px;
        left: 20px;
    }





    .project-1 {
      
        flex-direction: column;
        
      
    }



}



@media screen and (max-width: 499px) {

    .project-1 {
      
        padding: 20px 20px;
    }

    .project-profile-img-size {
       
        height: 190px;
    }

    .width-354{
        width: 292px;
    }

    

}


@media screen and (max-width: 1299px){


    .all-btn button{
        margin-bottom: 12px;
    }
}


